Index: modules/icm-iis-mainworkflows/trunk/src/test/resources/eu/dnetlib/iis/mainworkflows/integration/import/input/meta/person/1/person:body
===================================================================
--- modules/icm-iis-mainworkflows/trunk/src/test/resources/eu/dnetlib/iis/mainworkflows/integration/import/input/meta/person/1/person:body	(revision 39088)
+++ modules/icm-iis-mainworkflows/trunk/src/test/resources/eu/dnetlib/iis/mainworkflows/integration/import/input/meta/person/1/person:body	(nonexistent)
@@ -1,29 +0,0 @@
-{
-	kind: entity
-  	entity: {
-    type: person
-    id: "30|0314fe20-be3c-4bc3-adee-6bbc2cde3cb7_UmVwb3NpdG9yeVNlcnZpY2VSZXNvdXJjZXMvUmVwb3NpdG9yeVNlcnZpY2VSZXNvdXJjZVR5cGU=::oai:DiVA.org:uu-127423_Oliveira__Paulo_UNKNOWN"
-    person: {
-      metadata: {
-        firstname: {
-        	value: "Oliveira, Paulo"
-        }
-        fullname: {
-        	value: "Oliveira, Paulo"
-        }
-      }
-    }
-  }
-  dataInfo: {
-    inferred: false
-    deletedbyinference: false
-    trust: "0.9"
-    provenanceaction: {
-      classid: "UNKNOWN"
-      classname: "UNKNOWN"
-      schemeid: "dnet:provenanceActions"
-      schemename: "dnet:provenanceActions"
-    }
-  }
-  timestamp: 1360248058786
-}
\ No newline at end of file
Index: modules/icm-iis-mainworkflows/trunk/src/test/resources/eu/dnetlib/iis/mainworkflows/integration/import/input/meta/project/1/project:body
===================================================================
--- modules/icm-iis-mainworkflows/trunk/src/test/resources/eu/dnetlib/iis/mainworkflows/integration/import/input/meta/project/1/project:body	(revision 39088)
+++ modules/icm-iis-mainworkflows/trunk/src/test/resources/eu/dnetlib/iis/mainworkflows/integration/import/input/meta/project/1/project:body	(nonexistent)
@@ -1,58 +0,0 @@
-{
-  kind: entity
-  entity: {
-    type: project
-    id: "40|corda_______::ced15df040f56f2ff3d011e9f0b4bc43"
-    project: {
-      metadata: {
-        code: {
-        	value: "241544"
-        }
-        acronym: {
-        	value: "SYSKID"
-        }
-        title: {
-        	value: "Systems biology towards novel chronic kidney disease diagnosis and treatment"
-        }
-        startdate: {
-        	value: "2010-01-01"
-        }
-        enddate: {
-        	value: "2014-12-31"
-        }
-        callidentifier: {
-        	value: "FP7-HEALTH-2009-single-stage"
-        }
-        ecsc39: {
-        	value: "true"
-        }
-        contracttype: {
-          classid: "CP"
-          classname: "Collaborative project"
-          schemeid: "ec:FP7contractTypes"
-          schemename: "ec:FP7contractTypes"
-        }
-        fundingtree: {
-        	value: "<fundingtree><funder><id>ec__________::EC</id><shortname>EC</shortname><name>European Commission</name><jurisdiction>EU</jurisdiction></funder><funding_level_2><id>ec__________::EC::FP7::SP1::HEALTH</id><description>Health</description><name>HEALTH</name><class>ec:program</class><parent><funding_level_1><id>ec__________::EC::FP7::SP1</id><description>SP1-Cooperation</description><name>SP1</name><class>ec:specificprogram</class><parent><funding_level_0><id>ec__________::EC::FP7</id><description>SEVENTH FRAMEWORK PROGRAMME</description><name>FP7</name><parent/><class>ec:frameworkprogram</class></funding_level_0></parent></funding_level_1></parent></funding_level_2></fundingtree>"
-        }
-      }
-    }
-    originalId: "corda_______::241544"
-    collectedfrom: {
-      key: "10|openaire____::b30dac7baac631f3da7c2bb18dd9891f"
-      value: "CORDA - COmmon Research DAta Warehouse"
-    }
-  }
-  dataInfo: {
-    inferred: false
-    deletedbyinference: false
-    trust: "0.9"
-    provenanceaction: {
-      classid: "sysimport:crosswalk:entityregistry"
-      classname: "sysimport:crosswalk:entityregistry"
-      schemeid: "dnet:provenanceActions"
-      schemename: "dnet:provenanceActions"
-    }
-  }
-  timestamp: 1372675091270
-}
\ No newline at end of file
Index: modules/icm-iis-mainworkflows/trunk/src/test/resources/eu/dnetlib/iis/mainworkflows/integration/import/input/meta/result/dedup/result:body
===================================================================
--- modules/icm-iis-mainworkflows/trunk/src/test/resources/eu/dnetlib/iis/mainworkflows/integration/import/input/meta/result/dedup/result:body	(revision 39088)
+++ modules/icm-iis-mainworkflows/trunk/src/test/resources/eu/dnetlib/iis/mainworkflows/integration/import/input/meta/result/dedup/result:body	(nonexistent)
@@ -1,85 +0,0 @@
-{
-  kind: entity
-  entity: {
-    type: result
-    id: "50|dedup_wf_001::0154f41ff22d1ac2ef656d2931ac828c"
-    result: {
-      metadata: {
-        title: {
-          value: "Soldadura entre gr\\303\\241nulos"
-          qualifier: {
-            classid: "main title"
-            classname: "main title"
-            schemeid: "dnet:dataCite_title"
-            schemename: "dnet:dataCite_title"
-          }
-        }
-        dateofacceptance: {
-          value: "2011-01-01"
-        }
-        resulttype: {
-          classid: "publication"
-          classname: "publication"
-          schemeid: "dnet:result_typologies"
-          schemename: "dnet:result_typologies"
-        }
-        storagedate: { 
-        	value: "2012-10-18"
-        }
-        language: {
-          classid: "und"
-          classname: "Undetermined"
-          schemeid: "dnet:languages"
-          schemename: "dnet:languages"
-        }
-      }
-      
-      instance: {
-	    licence: {
-	      classid: "OPEN"
-	      classname: "Open Access"
-	      schemeid: "dnet:access_modes"
-	      schemename: "dnet:access_modes"
-	    }
-	    instancetype: {
-	      classid: "0001"
-	      classname: "Article"
-	      schemeid: "dnet:publication_resource"
-	      schemename: "dnet:publication_resource"
-	    }
-	    hostedby: {
-	      key: "10|opendoar____::9766527f2b5d3e95d4a733fcfb77bd7e"
-	      value: "INRIA a CCSD electronic archive server"
-	    }
-	    url: "http://hal.archives-ouvertes.fr/hal-00613125"
-	  }
-
-    }
-    originalId: "crossref____::003b0746ef72ff253ef1e465c758c961"
-    collectedfrom: {
-      key: "10|openaire____::081b82f96300b6a6e3d282bad31cb6e2"
-      value: "Crossref"
-    }
-    pid: {
-      value: "doi:10.1002/prca.201000155"
-      qualifier: {
-        classid: "doi"
-        classname: "doi"
-        schemeid: "dnet:pid_types"
-        schemename: "dnet:pid_types"
-      }
-    }
-  }
-  dataInfo: {
-    inferred: false
-    deletedbyinference: false
-    trust: "NEUTRAL"
-    provenanceaction: {
-      classid: "user:claim:doi"
-      classname: "user:claim:doi"
-      schemeid: "dnet:provenanceActions"
-      schemename: "dnet:provenanceActions"
-    }
-  }
-  timestamp: 1372359095914
-}
\ No newline at end of file
Index: modules/icm-iis-mainworkflows/trunk/src/test/resources/eu/dnetlib/iis/mainworkflows/integration/import/input/meta/result/dedup/resultResult_dedup_merges:50|od______1106::8477827a014277dfebb0d5882496a797
===================================================================
--- modules/icm-iis-mainworkflows/trunk/src/test/resources/eu/dnetlib/iis/mainworkflows/integration/import/input/meta/result/dedup/resultResult_dedup_merges:50|od______1106::8477827a014277dfebb0d5882496a797	(revision 39088)
+++ modules/icm-iis-mainworkflows/trunk/src/test/resources/eu/dnetlib/iis/mainworkflows/integration/import/input/meta/result/dedup/resultResult_dedup_merges:50|od______1106::8477827a014277dfebb0d5882496a797	(nonexistent)
@@ -1,35 +0,0 @@
-{
-  kind: relation
-  rel: {
-    relType: resultResult
-    source: "50|dedup_wf_001::0154f41ff22d1ac2ef656d2931ac828c"
-    target: "50|od______1106::8477827a014277dfebb0d5882496a797"
-    child: false
-    resultResult: {
-      dedup: {
-	      relMetadata: {
-	        semantics: {
-	          classid: "merges"
-	          classname: "merges"
-	          schemeid: "dnet:result_result_relations"
-	          schemename: "dnet:result_result_relations"
-	        }
-	      }
-	   }
-    }
-    subRelType: dedup
-    relClass: "merges"
-  }
-  dataInfo: {
-    inferred: false
-    deletedbyinference: false
-    trust: "0.8"
-    provenanceaction: {
-      classid: ""
-      classname: ""
-      schemeid: "dnet:provenanceActions"
-      schemename: "dnet:provenanceActions"
-    }
-  }
-  timestamp: 1423870324129
-}
\ No newline at end of file
Index: modules/icm-iis-mainworkflows/trunk/src/test/resources/eu/dnetlib/iis/mainworkflows/integration/import/input/meta/result/article/result:body
===================================================================
--- modules/icm-iis-mainworkflows/trunk/src/test/resources/eu/dnetlib/iis/mainworkflows/integration/import/input/meta/result/article/result:body	(revision 39088)
+++ modules/icm-iis-mainworkflows/trunk/src/test/resources/eu/dnetlib/iis/mainworkflows/integration/import/input/meta/result/article/result:body	(nonexistent)
@@ -1,85 +0,0 @@
-{
-  kind: entity
-  entity: {
-    type: result
-    id: "50|crossref____::003b0746ef72ff253ef1e465c758c961"
-    result: {
-      metadata: {
-        title: {
-          value: "Human urinary peptide database for multiple disease biomarker discovery"
-          qualifier: {
-            classid: "main title"
-            classname: "main title"
-            schemeid: "dnet:dataCite_title"
-            schemename: "dnet:dataCite_title"
-          }
-        }
-        dateofacceptance: {
-          value: "2011-01-01"
-        }
-        resulttype: {
-          classid: "publication"
-          classname: "publication"
-          schemeid: "dnet:result_typologies"
-          schemename: "dnet:result_typologies"
-        }
-        storagedate: { 
-        	value: "2012-10-18"
-        }
-        language: {
-          classid: "und"
-          classname: "Undetermined"
-          schemeid: "dnet:languages"
-          schemename: "dnet:languages"
-        }
-      }
-      
-      instance: {
-	    licence: {
-	      classid: "OPEN"
-	      classname: "Open Access"
-	      schemeid: "dnet:access_modes"
-	      schemename: "dnet:access_modes"
-	    }
-	    instancetype: {
-	      classid: "0001"
-	      classname: "Article"
-	      schemeid: "dnet:publication_resource"
-	      schemename: "dnet:publication_resource"
-	    }
-	    hostedby: {
-	      key: "10|opendoar____::9766527f2b5d3e95d4a733fcfb77bd7e"
-	      value: "INRIA a CCSD electronic archive server"
-	    }
-	    url: "http://hal.archives-ouvertes.fr/hal-00613125"
-	  }
-
-    }
-    originalId: "crossref____::003b0746ef72ff253ef1e465c758c961"
-    collectedfrom: {
-      key: "10|openaire____::081b82f96300b6a6e3d282bad31cb6e2"
-      value: "Crossref"
-    }
-    pid: {
-      value: "doi:10.1002/prca.201000155"
-      qualifier: {
-        classid: "doi"
-        classname: "doi"
-        schemeid: "dnet:pid_types"
-        schemename: "dnet:pid_types"
-      }
-    }
-  }
-  dataInfo: {
-    inferred: false
-    deletedbyinference: false
-    trust: "NEUTRAL"
-    provenanceaction: {
-      classid: "user:claim:doi"
-      classname: "user:claim:doi"
-      schemeid: "dnet:provenanceActions"
-      schemename: "dnet:provenanceActions"
-    }
-  }
-  timestamp: 1372359095914
-}
\ No newline at end of file
Index: modules/icm-iis-mainworkflows/trunk/src/test/resources/eu/dnetlib/iis/mainworkflows/integration/import/input/meta/result/article/personResult_authorship_hasAuthor:30|crossref____::7c844171342140b6133fb0536dba9843
===================================================================
--- modules/icm-iis-mainworkflows/trunk/src/test/resources/eu/dnetlib/iis/mainworkflows/integration/import/input/meta/result/article/personResult_authorship_hasAuthor:30|crossref____::7c844171342140b6133fb0536dba9843	(revision 39088)
+++ modules/icm-iis-mainworkflows/trunk/src/test/resources/eu/dnetlib/iis/mainworkflows/integration/import/input/meta/result/article/personResult_authorship_hasAuthor:30|crossref____::7c844171342140b6133fb0536dba9843	(nonexistent)
@@ -1,36 +0,0 @@
-{
-  kind: relation
-  rel: {
-    relType: personResult
-    source: "50|crossref____::003b0746ef72ff253ef1e465c758c961"
-    target: "30|crossref____::7c844171342140b6133fb0536dba9843"
-    child: false
-    personResult: {
-      authorship: {
-      		relMetadata: {
-        		semantics: {
-          			classid: "hasAuthor"
-          			classname: "hasAuthor"
-          			schemeid: "dnet:personroles"
-          			schemename: "dnet:personroles"
-        		}
-      		}
-      		ranking: "4"
-    	}
-  	}
-  	subRelType: authorship
-  	relClass: "hasAuthor"
-  }
-  dataInfo: {
-    inferred: false
-    deletedbyinference: false
-    trust: "NEUTRAL"
-    provenanceaction: {
-      classid: "user:claim:doi"
-      classname: "user:claim:doi"
-      schemeid: "dnet:provenanceActions"
-      schemename: "dnet:provenanceActions"
-    }
-  }
-  timestamp: 1372359095915
-}
\ No newline at end of file
Index: modules/icm-iis-mainworkflows/trunk/src/test/resources/eu/dnetlib/iis/mainworkflows/integration/import/input/meta/result/article/resultProject_outcome_isProducedBy:40|corda_______::ced15df040f56f2ff3d011e9f0b4bc43
===================================================================
--- modules/icm-iis-mainworkflows/trunk/src/test/resources/eu/dnetlib/iis/mainworkflows/integration/import/input/meta/result/article/resultProject_outcome_isProducedBy:40|corda_______::ced15df040f56f2ff3d011e9f0b4bc43	(revision 39088)
+++ modules/icm-iis-mainworkflows/trunk/src/test/resources/eu/dnetlib/iis/mainworkflows/integration/import/input/meta/result/article/resultProject_outcome_isProducedBy:40|corda_______::ced15df040f56f2ff3d011e9f0b4bc43	(nonexistent)
@@ -1,35 +0,0 @@
-{
-  kind: relation
-  rel: {
-    relType: resultProject
-    source: "50|crossref____::003b0746ef72ff253ef1e465c758c961"
-    target: "40|corda_______::ced15df040f56f2ff3d011e9f0b4bc43"
-    child: false
-    resultProject: {
-      outcome: {
-	      relMetadata: {
-	        semantics: {
-	          classid: "isProducedBy"
-	          classname: "isProducedBy"
-	          schemeid: "dnet:result_project_relations"
-	          schemename: "dnet:result_project_relations"
-	        }
-	      }
-	   }
-    }
-    subRelType: outcome
-    relClass: "isProducedBy"
-  }
-  dataInfo: {
-    inferred: false
-    deletedbyinference: false
-    trust: "0.8"
-    provenanceaction: {
-      classid: ""
-      classname: ""
-      schemeid: "dnet:provenanceActions"
-      schemename: "dnet:provenanceActions"
-    }
-  }
-  timestamp: 1372359095915
-}
\ No newline at end of file
Index: modules/icm-iis-mainworkflows/trunk/src/test/resources/eu/dnetlib/iis/mainworkflows/integration/import/input/meta/result/article/personResult_authorship_hasAuthor:30|crossref____::f6813047fd08021c87acdee2061c20f4
===================================================================
--- modules/icm-iis-mainworkflows/trunk/src/test/resources/eu/dnetlib/iis/mainworkflows/integration/import/input/meta/result/article/personResult_authorship_hasAuthor:30|crossref____::f6813047fd08021c87acdee2061c20f4	(revision 39088)
+++ modules/icm-iis-mainworkflows/trunk/src/test/resources/eu/dnetlib/iis/mainworkflows/integration/import/input/meta/result/article/personResult_authorship_hasAuthor:30|crossref____::f6813047fd08021c87acdee2061c20f4	(nonexistent)
@@ -1,36 +0,0 @@
-{
-  kind: relation
-  rel: {
-    relType: personResult
-    source: "50|crossref____::003b0746ef72ff253ef1e465c758c961"
-    target: "30|crossref____::f6813047fd08021c87acdee2061c20f4"
-    child: false
-    personResult: {
-      authorship: {
-      		relMetadata: {
-        		semantics: {
-          			classid: "hasAuthor"
-          			classname: "hasAuthor"
-          			schemeid: "dnet:personroles"
-          			schemename: "dnet:personroles"
-        		}
-      		}
-      		ranking: "5"
-    	}
-    }
-    subRelType: authorship
-  	relClass: "hasAuthor"
-  }
-  dataInfo: {
-    inferred: false
-    deletedbyinference: false
-    trust: "NEUTRAL"
-    provenanceaction: {
-      classid: "user:claim:doi"
-      classname: "user:claim:doi"
-      schemeid: "dnet:provenanceActions"
-      schemename: "dnet:provenanceActions"
-    }
-  }
-  timestamp: 1372359095915
-}
\ No newline at end of file
Index: modules/icm-iis-mainworkflows/trunk/src/test/resources/eu/dnetlib/iis/mainworkflows/integration/import/input/meta/result/dataset/result:body
===================================================================
--- modules/icm-iis-mainworkflows/trunk/src/test/resources/eu/dnetlib/iis/mainworkflows/integration/import/input/meta/result/dataset/result:body	(revision 39088)
+++ modules/icm-iis-mainworkflows/trunk/src/test/resources/eu/dnetlib/iis/mainworkflows/integration/import/input/meta/result/dataset/result:body	(nonexistent)
@@ -1,85 +0,0 @@
-{
-  kind: entity
-  entity: {
-    type: result
-    id: "50|od______1106::138537e0568c27c402756042b15e7858"
-    result: {
-      metadata: {
-        title: {
-          value: "Santa Rosa [ciruelo]"
-          qualifier: {
-            classid: "main title"
-            classname: "main title"
-            schemeid: "dnet:dataCite_title"
-            schemename: "dnet:dataCite_title"
-          }
-        }
-        dateofacceptance: {
-          value: "1964-12-01"
-        }
-        resulttype: {
-          classid: "publication"
-          classname: "publication"
-          schemeid: "dnet:result_typologies"
-          schemename: "dnet:result_typologies"
-        }
-        storagedate: { 
-        	value: "2012-10-18"
-        }
-        language: {
-          classid: "und"
-          classname: "Undetermined"
-          schemeid: "dnet:languages"
-          schemename: "dnet:languages"
-        }
-      }
-      
-      instance: {
-	    licence: {
-	      classid: "OPEN"
-	      classname: "Open Access"
-	      schemeid: "dnet:access_modes"
-	      schemename: "dnet:access_modes"
-	    }
-	    instancetype: {
-	      classid: "0021"
-	      classname: "Dataset"
-	      schemeid: "dnet:publication_resource"
-	      schemename: "dnet:publication_resource"
-	    }
-	    hostedby: {
-	      key: "10|opendoar____::c9f95a0a5af052bffce5c89917335f67"
-	      value: "Digital.CSIC"
-	    }
-	    url: "http://hdl.handle.net/10261/86687"
-	  }
-
-    }
-    originalId: "oai:digital.csic.es:10261/86687"
-    collectedfrom: {
-      key: "10|opendoar____::c9f95a0a5af052bffce5c89917335f67"
-      value: "Digital.CSIC"
-    }
-    pid: {
-      value: "oai:digital.csic.es:10261/86687"
-      qualifier: {
-        classid: "oai"
-        classname: "Open Archives Initiative"
-        schemeid: "dnet:pid_types"
-        schemename: "dnet:pid_types"
-      }
-    }
-  }
-  dataInfo: {
-    inferred: false
-    deletedbyinference: false
-    trust: "0.9"
-    provenanceaction: {
-      classid: "sysimport:crosswalk:repository"
-      classname: "sysimport:crosswalk:repository"
-      schemeid: "dnet:provenanceActions"
-      schemename: "dnet:provenanceActions"
-    }
-  }
-  timestamp: 1423856239322
-}
\ No newline at end of file
Index: modules/icm-iis-mainworkflows/trunk/src/test/java/eu/dnetlib/iis/mainworkflows/importer/mapred/PredefinedTableInputFormat.java
===================================================================
--- modules/icm-iis-mainworkflows/trunk/src/test/java/eu/dnetlib/iis/mainworkflows/importer/mapred/PredefinedTableInputFormat.java	(revision 39088)
+++ modules/icm-iis-mainworkflows/trunk/src/test/java/eu/dnetlib/iis/mainworkflows/importer/mapred/PredefinedTableInputFormat.java	(revision 39089)
@@ -41,7 +41,7 @@
 	
 	public static final String DEFAULT_CHARSET = "utf8";
 	
-	public static final String PART_SEPARATOR = ":";
+	public static final String PART_SEPARATOR = "#";
 	
 	public static class FakeSplit extends InputSplit implements Writable {
 	    public void write(DataOutput out) throws IOException { }
Index: modules/icm-iis-mainworkflows/trunk/src/test/resources/eu/dnetlib/iis/mainworkflows/integration/import/input/meta/person/1/person#body
===================================================================
--- modules/icm-iis-mainworkflows/trunk/src/test/resources/eu/dnetlib/iis/mainworkflows/integration/import/input/meta/person/1/person#body	(nonexistent)
+++ modules/icm-iis-mainworkflows/trunk/src/test/resources/eu/dnetlib/iis/mainworkflows/integration/import/input/meta/person/1/person#body	(revision 39089)
@@ -0,0 +1,29 @@
+{
+	kind: entity
+  	entity: {
+    type: person
+    id: "30|0314fe20-be3c-4bc3-adee-6bbc2cde3cb7_UmVwb3NpdG9yeVNlcnZpY2VSZXNvdXJjZXMvUmVwb3NpdG9yeVNlcnZpY2VSZXNvdXJjZVR5cGU=::oai:DiVA.org:uu-127423_Oliveira__Paulo_UNKNOWN"
+    person: {
+      metadata: {
+        firstname: {
+        	value: "Oliveira, Paulo"
+        }
+        fullname: {
+        	value: "Oliveira, Paulo"
+        }
+      }
+    }
+  }
+  dataInfo: {
+    inferred: false
+    deletedbyinference: false
+    trust: "0.9"
+    provenanceaction: {
+      classid: "UNKNOWN"
+      classname: "UNKNOWN"
+      schemeid: "dnet:provenanceActions"
+      schemename: "dnet:provenanceActions"
+    }
+  }
+  timestamp: 1360248058786
+}
\ No newline at end of file
Index: modules/icm-iis-mainworkflows/trunk/src/test/resources/eu/dnetlib/iis/mainworkflows/integration/import/input/meta/project/1/project#body
===================================================================
--- modules/icm-iis-mainworkflows/trunk/src/test/resources/eu/dnetlib/iis/mainworkflows/integration/import/input/meta/project/1/project#body	(nonexistent)
+++ modules/icm-iis-mainworkflows/trunk/src/test/resources/eu/dnetlib/iis/mainworkflows/integration/import/input/meta/project/1/project#body	(revision 39089)
@@ -0,0 +1,58 @@
+{
+  kind: entity
+  entity: {
+    type: project
+    id: "40|corda_______::ced15df040f56f2ff3d011e9f0b4bc43"
+    project: {
+      metadata: {
+        code: {
+        	value: "241544"
+        }
+        acronym: {
+        	value: "SYSKID"
+        }
+        title: {
+        	value: "Systems biology towards novel chronic kidney disease diagnosis and treatment"
+        }
+        startdate: {
+        	value: "2010-01-01"
+        }
+        enddate: {
+        	value: "2014-12-31"
+        }
+        callidentifier: {
+        	value: "FP7-HEALTH-2009-single-stage"
+        }
+        ecsc39: {
+        	value: "true"
+        }
+        contracttype: {
+          classid: "CP"
+          classname: "Collaborative project"
+          schemeid: "ec:FP7contractTypes"
+          schemename: "ec:FP7contractTypes"
+        }
+        fundingtree: {
+        	value: "<fundingtree><funder><id>ec__________::EC</id><shortname>EC</shortname><name>European Commission</name><jurisdiction>EU</jurisdiction></funder><funding_level_2><id>ec__________::EC::FP7::SP1::HEALTH</id><description>Health</description><name>HEALTH</name><class>ec:program</class><parent><funding_level_1><id>ec__________::EC::FP7::SP1</id><description>SP1-Cooperation</description><name>SP1</name><class>ec:specificprogram</class><parent><funding_level_0><id>ec__________::EC::FP7</id><description>SEVENTH FRAMEWORK PROGRAMME</description><name>FP7</name><parent/><class>ec:frameworkprogram</class></funding_level_0></parent></funding_level_1></parent></funding_level_2></fundingtree>"
+        }
+      }
+    }
+    originalId: "corda_______::241544"
+    collectedfrom: {
+      key: "10|openaire____::b30dac7baac631f3da7c2bb18dd9891f"
+      value: "CORDA - COmmon Research DAta Warehouse"
+    }
+  }
+  dataInfo: {
+    inferred: false
+    deletedbyinference: false
+    trust: "0.9"
+    provenanceaction: {
+      classid: "sysimport:crosswalk:entityregistry"
+      classname: "sysimport:crosswalk:entityregistry"
+      schemeid: "dnet:provenanceActions"
+      schemename: "dnet:provenanceActions"
+    }
+  }
+  timestamp: 1372675091270
+}
\ No newline at end of file
Index: modules/icm-iis-mainworkflows/trunk/src/test/resources/eu/dnetlib/iis/mainworkflows/integration/import/input/meta/mappings.properties
===================================================================
--- modules/icm-iis-mainworkflows/trunk/src/test/resources/eu/dnetlib/iis/mainworkflows/integration/import/input/meta/mappings.properties	(revision 39088)
+++ modules/icm-iis-mainworkflows/trunk/src/test/resources/eu/dnetlib/iis/mainworkflows/integration/import/input/meta/mappings.properties	(revision 39089)
@@ -1,5 +1,5 @@
-eu/dnetlib/iis/mainworkflows/integration/import/input/meta/person/1=person:body
-eu/dnetlib/iis/mainworkflows/integration/import/input/meta/project/1=project:body
-eu/dnetlib/iis/mainworkflows/integration/import/input/meta/result/article=result:body,resultProject_outcome_isProducedBy:40|corda_______::ced15df040f56f2ff3d011e9f0b4bc43,personResult_authorship_hasAuthor:30|crossref____::7c844171342140b6133fb0536dba9843,personResult_authorship_hasAuthor:30|crossref____::f6813047fd08021c87acdee2061c20f4
-eu/dnetlib/iis/mainworkflows/integration/import/input/meta/result/dataset=result:body
-eu/dnetlib/iis/mainworkflows/integration/import/input/meta/result/dedup=result:body,resultResult_dedup_merges:50|od______1106::8477827a014277dfebb0d5882496a797
+eu/dnetlib/iis/mainworkflows/integration/import/input/meta/person/1=person#body
+eu/dnetlib/iis/mainworkflows/integration/import/input/meta/project/1=project#body
+eu/dnetlib/iis/mainworkflows/integration/import/input/meta/result/article=result#body,resultProject_outcome_isProducedBy#40|corda_________ced15df040f56f2ff3d011e9f0b4bc43,personResult_authorship_hasAuthor#30|crossref______7c844171342140b6133fb0536dba9843,personResult_authorship_hasAuthor#30|crossref______f6813047fd08021c87acdee2061c20f4
+eu/dnetlib/iis/mainworkflows/integration/import/input/meta/result/dataset=result#body
+eu/dnetlib/iis/mainworkflows/integration/import/input/meta/result/dedup=result#body,resultResult_dedup_merges#50|od______1106__8477827a014277dfebb0d5882496a797
Index: modules/icm-iis-mainworkflows/trunk/src/test/resources/eu/dnetlib/iis/mainworkflows/integration/import/input/meta/result/dedup/result#body
===================================================================
--- modules/icm-iis-mainworkflows/trunk/src/test/resources/eu/dnetlib/iis/mainworkflows/integration/import/input/meta/result/dedup/result#body	(nonexistent)
+++ modules/icm-iis-mainworkflows/trunk/src/test/resources/eu/dnetlib/iis/mainworkflows/integration/import/input/meta/result/dedup/result#body	(revision 39089)
@@ -0,0 +1,85 @@
+{
+  kind: entity
+  entity: {
+    type: result
+    id: "50|dedup_wf_001::0154f41ff22d1ac2ef656d2931ac828c"
+    result: {
+      metadata: {
+        title: {
+          value: "Soldadura entre gr\\303\\241nulos"
+          qualifier: {
+            classid: "main title"
+            classname: "main title"
+            schemeid: "dnet:dataCite_title"
+            schemename: "dnet:dataCite_title"
+          }
+        }
+        dateofacceptance: {
+          value: "2011-01-01"
+        }
+        resulttype: {
+          classid: "publication"
+          classname: "publication"
+          schemeid: "dnet:result_typologies"
+          schemename: "dnet:result_typologies"
+        }
+        storagedate: { 
+        	value: "2012-10-18"
+        }
+        language: {
+          classid: "und"
+          classname: "Undetermined"
+          schemeid: "dnet:languages"
+          schemename: "dnet:languages"
+        }
+      }
+      
+      instance: {
+	    licence: {
+	      classid: "OPEN"
+	      classname: "Open Access"
+	      schemeid: "dnet:access_modes"
+	      schemename: "dnet:access_modes"
+	    }
+	    instancetype: {
+	      classid: "0001"
+	      classname: "Article"
+	      schemeid: "dnet:publication_resource"
+	      schemename: "dnet:publication_resource"
+	    }
+	    hostedby: {
+	      key: "10|opendoar____::9766527f2b5d3e95d4a733fcfb77bd7e"
+	      value: "INRIA a CCSD electronic archive server"
+	    }
+	    url: "http://hal.archives-ouvertes.fr/hal-00613125"
+	  }
+
+    }
+    originalId: "crossref____::003b0746ef72ff253ef1e465c758c961"
+    collectedfrom: {
+      key: "10|openaire____::081b82f96300b6a6e3d282bad31cb6e2"
+      value: "Crossref"
+    }
+    pid: {
+      value: "doi:10.1002/prca.201000155"
+      qualifier: {
+        classid: "doi"
+        classname: "doi"
+        schemeid: "dnet:pid_types"
+        schemename: "dnet:pid_types"
+      }
+    }
+  }
+  dataInfo: {
+    inferred: false
+    deletedbyinference: false
+    trust: "NEUTRAL"
+    provenanceaction: {
+      classid: "user:claim:doi"
+      classname: "user:claim:doi"
+      schemeid: "dnet:provenanceActions"
+      schemename: "dnet:provenanceActions"
+    }
+  }
+  timestamp: 1372359095914
+}
\ No newline at end of file
Index: modules/icm-iis-mainworkflows/trunk/src/test/resources/eu/dnetlib/iis/mainworkflows/integration/import/input/meta/result/dedup/resultResult_dedup_merges#50|od______1106__8477827a014277dfebb0d5882496a797
===================================================================
--- modules/icm-iis-mainworkflows/trunk/src/test/resources/eu/dnetlib/iis/mainworkflows/integration/import/input/meta/result/dedup/resultResult_dedup_merges#50|od______1106__8477827a014277dfebb0d5882496a797	(nonexistent)
+++ modules/icm-iis-mainworkflows/trunk/src/test/resources/eu/dnetlib/iis/mainworkflows/integration/import/input/meta/result/dedup/resultResult_dedup_merges#50|od______1106__8477827a014277dfebb0d5882496a797	(revision 39089)
@@ -0,0 +1,35 @@
+{
+  kind: relation
+  rel: {
+    relType: resultResult
+    source: "50|dedup_wf_001::0154f41ff22d1ac2ef656d2931ac828c"
+    target: "50|od______1106::8477827a014277dfebb0d5882496a797"
+    child: false
+    resultResult: {
+      dedup: {
+	      relMetadata: {
+	        semantics: {
+	          classid: "merges"
+	          classname: "merges"
+	          schemeid: "dnet:result_result_relations"
+	          schemename: "dnet:result_result_relations"
+	        }
+	      }
+	   }
+    }
+    subRelType: dedup
+    relClass: "merges"
+  }
+  dataInfo: {
+    inferred: false
+    deletedbyinference: false
+    trust: "0.8"
+    provenanceaction: {
+      classid: ""
+      classname: ""
+      schemeid: "dnet:provenanceActions"
+      schemename: "dnet:provenanceActions"
+    }
+  }
+  timestamp: 1423870324129
+}
\ No newline at end of file
Index: modules/icm-iis-mainworkflows/trunk/src/test/resources/eu/dnetlib/iis/mainworkflows/integration/import/input/meta/result/article/result#body
===================================================================
--- modules/icm-iis-mainworkflows/trunk/src/test/resources/eu/dnetlib/iis/mainworkflows/integration/import/input/meta/result/article/result#body	(nonexistent)
+++ modules/icm-iis-mainworkflows/trunk/src/test/resources/eu/dnetlib/iis/mainworkflows/integration/import/input/meta/result/article/result#body	(revision 39089)
@@ -0,0 +1,85 @@
+{
+  kind: entity
+  entity: {
+    type: result
+    id: "50|crossref____::003b0746ef72ff253ef1e465c758c961"
+    result: {
+      metadata: {
+        title: {
+          value: "Human urinary peptide database for multiple disease biomarker discovery"
+          qualifier: {
+            classid: "main title"
+            classname: "main title"
+            schemeid: "dnet:dataCite_title"
+            schemename: "dnet:dataCite_title"
+          }
+        }
+        dateofacceptance: {
+          value: "2011-01-01"
+        }
+        resulttype: {
+          classid: "publication"
+          classname: "publication"
+          schemeid: "dnet:result_typologies"
+          schemename: "dnet:result_typologies"
+        }
+        storagedate: { 
+        	value: "2012-10-18"
+        }
+        language: {
+          classid: "und"
+          classname: "Undetermined"
+          schemeid: "dnet:languages"
+          schemename: "dnet:languages"
+        }
+      }
+      
+      instance: {
+	    licence: {
+	      classid: "OPEN"
+	      classname: "Open Access"
+	      schemeid: "dnet:access_modes"
+	      schemename: "dnet:access_modes"
+	    }
+	    instancetype: {
+	      classid: "0001"
+	      classname: "Article"
+	      schemeid: "dnet:publication_resource"
+	      schemename: "dnet:publication_resource"
+	    }
+	    hostedby: {
+	      key: "10|opendoar____::9766527f2b5d3e95d4a733fcfb77bd7e"
+	      value: "INRIA a CCSD electronic archive server"
+	    }
+	    url: "http://hal.archives-ouvertes.fr/hal-00613125"
+	  }
+
+    }
+    originalId: "crossref____::003b0746ef72ff253ef1e465c758c961"
+    collectedfrom: {
+      key: "10|openaire____::081b82f96300b6a6e3d282bad31cb6e2"
+      value: "Crossref"
+    }
+    pid: {
+      value: "doi:10.1002/prca.201000155"
+      qualifier: {
+        classid: "doi"
+        classname: "doi"
+        schemeid: "dnet:pid_types"
+        schemename: "dnet:pid_types"
+      }
+    }
+  }
+  dataInfo: {
+    inferred: false
+    deletedbyinference: false
+    trust: "NEUTRAL"
+    provenanceaction: {
+      classid: "user:claim:doi"
+      classname: "user:claim:doi"
+      schemeid: "dnet:provenanceActions"
+      schemename: "dnet:provenanceActions"
+    }
+  }
+  timestamp: 1372359095914
+}
\ No newline at end of file
Index: modules/icm-iis-mainworkflows/trunk/src/test/resources/eu/dnetlib/iis/mainworkflows/integration/import/input/meta/result/article/personResult_authorship_hasAuthor#30|crossref______f6813047fd08021c87acdee2061c20f4
===================================================================
--- modules/icm-iis-mainworkflows/trunk/src/test/resources/eu/dnetlib/iis/mainworkflows/integration/import/input/meta/result/article/personResult_authorship_hasAuthor#30|crossref______f6813047fd08021c87acdee2061c20f4	(nonexistent)
+++ modules/icm-iis-mainworkflows/trunk/src/test/resources/eu/dnetlib/iis/mainworkflows/integration/import/input/meta/result/article/personResult_authorship_hasAuthor#30|crossref______f6813047fd08021c87acdee2061c20f4	(revision 39089)
@@ -0,0 +1,36 @@
+{
+  kind: relation
+  rel: {
+    relType: personResult
+    source: "50|crossref____::003b0746ef72ff253ef1e465c758c961"
+    target: "30|crossref____::f6813047fd08021c87acdee2061c20f4"
+    child: false
+    personResult: {
+      authorship: {
+      		relMetadata: {
+        		semantics: {
+          			classid: "hasAuthor"
+          			classname: "hasAuthor"
+          			schemeid: "dnet:personroles"
+          			schemename: "dnet:personroles"
+        		}
+      		}
+      		ranking: "5"
+    	}
+    }
+    subRelType: authorship
+  	relClass: "hasAuthor"
+  }
+  dataInfo: {
+    inferred: false
+    deletedbyinference: false
+    trust: "NEUTRAL"
+    provenanceaction: {
+      classid: "user:claim:doi"
+      classname: "user:claim:doi"
+      schemeid: "dnet:provenanceActions"
+      schemename: "dnet:provenanceActions"
+    }
+  }
+  timestamp: 1372359095915
+}
\ No newline at end of file
Index: modules/icm-iis-mainworkflows/trunk/src/test/resources/eu/dnetlib/iis/mainworkflows/integration/import/input/meta/result/article/personResult_authorship_hasAuthor#30|crossref______7c844171342140b6133fb0536dba9843
===================================================================
--- modules/icm-iis-mainworkflows/trunk/src/test/resources/eu/dnetlib/iis/mainworkflows/integration/import/input/meta/result/article/personResult_authorship_hasAuthor#30|crossref______7c844171342140b6133fb0536dba9843	(nonexistent)
+++ modules/icm-iis-mainworkflows/trunk/src/test/resources/eu/dnetlib/iis/mainworkflows/integration/import/input/meta/result/article/personResult_authorship_hasAuthor#30|crossref______7c844171342140b6133fb0536dba9843	(revision 39089)
@@ -0,0 +1,36 @@
+{
+  kind: relation
+  rel: {
+    relType: personResult
+    source: "50|crossref____::003b0746ef72ff253ef1e465c758c961"
+    target: "30|crossref____::7c844171342140b6133fb0536dba9843"
+    child: false
+    personResult: {
+      authorship: {
+      		relMetadata: {
+        		semantics: {
+          			classid: "hasAuthor"
+          			classname: "hasAuthor"
+          			schemeid: "dnet:personroles"
+          			schemename: "dnet:personroles"
+        		}
+      		}
+      		ranking: "4"
+    	}
+  	}
+  	subRelType: authorship
+  	relClass: "hasAuthor"
+  }
+  dataInfo: {
+    inferred: false
+    deletedbyinference: false
+    trust: "NEUTRAL"
+    provenanceaction: {
+      classid: "user:claim:doi"
+      classname: "user:claim:doi"
+      schemeid: "dnet:provenanceActions"
+      schemename: "dnet:provenanceActions"
+    }
+  }
+  timestamp: 1372359095915
+}
\ No newline at end of file
Index: modules/icm-iis-mainworkflows/trunk/src/test/resources/eu/dnetlib/iis/mainworkflows/integration/import/input/meta/result/article/resultProject_outcome_isProducedBy#40|corda_________ced15df040f56f2ff3d011e9f0b4bc43
===================================================================
--- modules/icm-iis-mainworkflows/trunk/src/test/resources/eu/dnetlib/iis/mainworkflows/integration/import/input/meta/result/article/resultProject_outcome_isProducedBy#40|corda_________ced15df040f56f2ff3d011e9f0b4bc43	(nonexistent)
+++ modules/icm-iis-mainworkflows/trunk/src/test/resources/eu/dnetlib/iis/mainworkflows/integration/import/input/meta/result/article/resultProject_outcome_isProducedBy#40|corda_________ced15df040f56f2ff3d011e9f0b4bc43	(revision 39089)
@@ -0,0 +1,35 @@
+{
+  kind: relation
+  rel: {
+    relType: resultProject
+    source: "50|crossref____::003b0746ef72ff253ef1e465c758c961"
+    target: "40|corda_______::ced15df040f56f2ff3d011e9f0b4bc43"
+    child: false
+    resultProject: {
+      outcome: {
+	      relMetadata: {
+	        semantics: {
+	          classid: "isProducedBy"
+	          classname: "isProducedBy"
+	          schemeid: "dnet:result_project_relations"
+	          schemename: "dnet:result_project_relations"
+	        }
+	      }
+	   }
+    }
+    subRelType: outcome
+    relClass: "isProducedBy"
+  }
+  dataInfo: {
+    inferred: false
+    deletedbyinference: false
+    trust: "0.8"
+    provenanceaction: {
+      classid: ""
+      classname: ""
+      schemeid: "dnet:provenanceActions"
+      schemename: "dnet:provenanceActions"
+    }
+  }
+  timestamp: 1372359095915
+}
\ No newline at end of file
Index: modules/icm-iis-mainworkflows/trunk/src/test/resources/eu/dnetlib/iis/mainworkflows/integration/import/input/meta/result/dataset/result#body
===================================================================
--- modules/icm-iis-mainworkflows/trunk/src/test/resources/eu/dnetlib/iis/mainworkflows/integration/import/input/meta/result/dataset/result#body	(nonexistent)
+++ modules/icm-iis-mainworkflows/trunk/src/test/resources/eu/dnetlib/iis/mainworkflows/integration/import/input/meta/result/dataset/result#body	(revision 39089)
@@ -0,0 +1,85 @@
+{
+  kind: entity
+  entity: {
+    type: result
+    id: "50|od______1106::138537e0568c27c402756042b15e7858"
+    result: {
+      metadata: {
+        title: {
+          value: "Santa Rosa [ciruelo]"
+          qualifier: {
+            classid: "main title"
+            classname: "main title"
+            schemeid: "dnet:dataCite_title"
+            schemename: "dnet:dataCite_title"
+          }
+        }
+        dateofacceptance: {
+          value: "1964-12-01"
+        }
+        resulttype: {
+          classid: "publication"
+          classname: "publication"
+          schemeid: "dnet:result_typologies"
+          schemename: "dnet:result_typologies"
+        }
+        storagedate: { 
+        	value: "2012-10-18"
+        }
+        language: {
+          classid: "und"
+          classname: "Undetermined"
+          schemeid: "dnet:languages"
+          schemename: "dnet:languages"
+        }
+      }
+      
+      instance: {
+	    licence: {
+	      classid: "OPEN"
+	      classname: "Open Access"
+	      schemeid: "dnet:access_modes"
+	      schemename: "dnet:access_modes"
+	    }
+	    instancetype: {
+	      classid: "0021"
+	      classname: "Dataset"
+	      schemeid: "dnet:publication_resource"
+	      schemename: "dnet:publication_resource"
+	    }
+	    hostedby: {
+	      key: "10|opendoar____::c9f95a0a5af052bffce5c89917335f67"
+	      value: "Digital.CSIC"
+	    }
+	    url: "http://hdl.handle.net/10261/86687"
+	  }
+
+    }
+    originalId: "oai:digital.csic.es:10261/86687"
+    collectedfrom: {
+      key: "10|opendoar____::c9f95a0a5af052bffce5c89917335f67"
+      value: "Digital.CSIC"
+    }
+    pid: {
+      value: "oai:digital.csic.es:10261/86687"
+      qualifier: {
+        classid: "oai"
+        classname: "Open Archives Initiative"
+        schemeid: "dnet:pid_types"
+        schemename: "dnet:pid_types"
+      }
+    }
+  }
+  dataInfo: {
+    inferred: false
+    deletedbyinference: false
+    trust: "0.9"
+    provenanceaction: {
+      classid: "sysimport:crosswalk:repository"
+      classname: "sysimport:crosswalk:repository"
+      schemeid: "dnet:provenanceActions"
+      schemename: "dnet:provenanceActions"
+    }
+  }
+  timestamp: 1423856239322
+}
\ No newline at end of file
